# Form implementation generated from reading ui file 'src/eric7/QScintilla/MarkupProviders/HyperlinkMarkupDialog.ui'
#
# Created by: PyQt6 UI code generator 6.7.0
#
# WARNING: Any manual changes made to this file will be lost when pyuic6 is
# run again.  Do not edit this file unless you know what you are doing.


from PyQt6 import QtCore, QtGui, QtWidgets


class Ui_HyperlinkMarkupDialog(object):
    def setupUi(self, HyperlinkMarkupDialog):
        HyperlinkMarkupDialog.setObjectName("HyperlinkMarkupDialog")
        HyperlinkMarkupDialog.resize(400, 142)
        HyperlinkMarkupDialog.setSizeGripEnabled(True)
        self.gridLayout = QtWidgets.QGridLayout(HyperlinkMarkupDialog)
        self.gridLayout.setObjectName("gridLayout")
        self.label = QtWidgets.QLabel(parent=HyperlinkMarkupDialog)
        self.label.setObjectName("label")
        self.gridLayout.addWidget(self.label, 0, 0, 1, 1)
        self.textEdit = QtWidgets.QLineEdit(parent=HyperlinkMarkupDialog)
        self.textEdit.setObjectName("textEdit")
        self.gridLayout.addWidget(self.textEdit, 0, 1, 1, 1)
        self.label_2 = QtWidgets.QLabel(parent=HyperlinkMarkupDialog)
        self.label_2.setObjectName("label_2")
        self.gridLayout.addWidget(self.label_2, 1, 0, 1, 1)
        self.targetEdit = QtWidgets.QLineEdit(parent=HyperlinkMarkupDialog)
        self.targetEdit.setObjectName("targetEdit")
        self.gridLayout.addWidget(self.targetEdit, 1, 1, 1, 1)
        self.label_3 = QtWidgets.QLabel(parent=HyperlinkMarkupDialog)
        self.label_3.setObjectName("label_3")
        self.gridLayout.addWidget(self.label_3, 2, 0, 1, 1)
        self.titelEdit = QtWidgets.QLineEdit(parent=HyperlinkMarkupDialog)
        self.titelEdit.setObjectName("titelEdit")
        self.gridLayout.addWidget(self.titelEdit, 2, 1, 1, 1)
        self.buttonBox = QtWidgets.QDialogButtonBox(parent=HyperlinkMarkupDialog)
        self.buttonBox.setOrientation(QtCore.Qt.Orientation.Horizontal)
        self.buttonBox.setStandardButtons(QtWidgets.QDialogButtonBox.StandardButton.Cancel|QtWidgets.QDialogButtonBox.StandardButton.Ok)
        self.buttonBox.setObjectName("buttonBox")
        self.gridLayout.addWidget(self.buttonBox, 3, 0, 1, 2)

        self.retranslateUi(HyperlinkMarkupDialog)
        self.buttonBox.accepted.connect(HyperlinkMarkupDialog.accept) # type: ignore
        self.buttonBox.rejected.connect(HyperlinkMarkupDialog.reject) # type: ignore
        QtCore.QMetaObject.connectSlotsByName(HyperlinkMarkupDialog)

    def retranslateUi(self, HyperlinkMarkupDialog):
        _translate = QtCore.QCoreApplication.translate
        HyperlinkMarkupDialog.setWindowTitle(_translate("HyperlinkMarkupDialog", "Insert Hyperlink"))
        self.label.setText(_translate("HyperlinkMarkupDialog", "Link Text:"))
        self.label_2.setText(_translate("HyperlinkMarkupDialog", "Link Target:"))
        self.label_3.setText(_translate("HyperlinkMarkupDialog", "Link Title:"))
